> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edges.run/llms.txt
> Use this file to discover all available pages before exploring further.

# LinkedIn People Id From Sales Navigator Id Schedule

> Schedule conversion of Sales Navigator lead IDs to LinkedIn people IDs at a specific time or on a recurring basis.

<Tip>
  To run LinkedIn actions, you must first create an identity and connect a LinkedIn
  account, either using our [Chrome
  Extension](https://chromewebstore.google.com/detail/edges-labs/bippgnolleoecnhaninlfmdapbakklpf),
  [username/password login](/v1/api/linkedin/authentication), or [Managed
  Accounts](/v1/identities/sync-vs-managed) for a hassle-free setup.
</Tip>

<Note>
  **Callback Delivery**: Both `async` and `schedule` modes deliver results via the callback URL provided in your request.

  **Consistent Format**: All execution modes use the same action logic, so inputs and results are identical regardless of mode.

  **Error Handling**: Errors follow the [standard API error format](/v1/faq-troubleshooting#troubleshooting-errors).
</Note>

Using `async` and `schedule` modes, you have to implement some kind of callback management. Be sure to check the [Managing Callbacks](/v1/runs/callbacks) guide to better understand how it works and what your can do.


## OpenAPI

````yaml v1/api/actions.json post /actions/linkedin-peopleid-from-salesnavigatorid/run/schedule
openapi: 3.1.0
info:
  title: ED Automation External API
  description: This is the External API documentation for ED Automation
  version: dev
servers:
  - url: https://api.edges.run/v1
security:
  - XApiKeyAuth: []
paths:
  /actions/linkedin-peopleid-from-salesnavigatorid/run/schedule:
    post:
      tags:
        - actions / linkedin
      summary: Schedule linkedin-peopleid-from-salesnavigatorid action
      operationId: linkedinPeopleidFromSalesnavigatoridSchedule
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Optional user-defined label for the run.
                  maxLength: 255
                  nullable: true
                inputs:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/LinkedinPeopleidFromSalesnavigatoridInput
                  minItems: 1
                  maxItems: 100
                callback:
                  type: object
                  properties:
                    url:
                      type: string
                      description: >-
                        URL to send the results to. The Action will send a POST
                        request with the results to this URL. The request will
                        include a JSON body with the results of the Action.
                      nullable: true
                      pattern: ^(https?:\/\/[^\s]+)$
                      example: https://example.com/callback
                    headers:
                      type: object
                      description: Headers to include in the callback request.
                      additionalProperties:
                        type: string
                    'on':
                      type: string
                      description: >-
                        Define when you want to receive callbacks. "all" will
                        send callbacks to stream outputs, "final" will send a
                        single callback when all inputs are processed or an
                        error occured on the run.
                      enum:
                        - all
                        - final
                      default: all
                  required:
                    - url
                timezone:
                  type: string
                  minLength: 1
                  maxLength: 64
                  description: >-
                    The timezone to use for the cron expression (IANA timezone
                    format, e.g., "America/New_York" or "Europe/Paris"). If not
                    provided, the UTC timezone will be used.
                cron:
                  type: string
                  minLength: 1
                  maxLength: 256
                  description: >-
                    Cron expression for scheduling the action. If provided, the
                    action will be scheduled to run at the specified intervals.
                schedule_at:
                  type: string
                  format: date-time
                  description: >-
                    This is for one shot or 1st programmation calls. If not
                    provided, the run will be scheduled immediately.
              additionalProperties: false
              anyOf:
                - properties:
                    cron:
                      type: string
                      minLength: 1
                      maxLength: 256
                      description: >-
                        Cron expression for scheduling the action. If provided,
                        the action will be scheduled to run at the specified
                        intervals.
                  required:
                    - cron
                - properties:
                    schedule_at:
                      type: string
                      format: date-time
                      description: >-
                        This is for one shot or 1st programmation calls. If not
                        provided, the run will be scheduled immediately.
                  required:
                    - schedule_at
              required:
                - inputs
                - callback
      responses:
        '200':
          $ref: '#/components/responses/ActionScheduleResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '424':
          $ref: '#/components/responses/FailedDependency'
        '500':
          $ref: '#/components/responses/InternalServerError'
      callbacks:
        onSave:
          '{$request.body#/callback/url}':
            post:
              responses:
                '200':
                  description: Callback successfully processed
              parameters:
                - name: X-Callback-Ref
                  in: header
                  required: true
                  schema:
                    type: string
                    format: uuid
                  description: >-
                    Stable identifier for the callback event. Remains the same
                    across retries.
                - name: X-Run-Callback
                  in: header
                  required: true
                  schema:
                    type: string
                    format: uuid
                  description: Unique identifier for each delivery attempt of the webhook.
              requestBody:
                required: true
                content:
                  application/json:
                    schema:
                      type: object
                      properties:
                        callback_ref_uid:
                          type: string
                          format: uuid
                          description: >-
                            Stable callback identifier (remains identical across
                            retries). Used by clients for deduplication.
                        run:
                          type: object
                          properties:
                            run_uid:
                              type: string
                              format: uuid
                              description: Unique identifier of the run.
                            batch_uid:
                              type: string
                              format: uuid
                              description: >-
                                Unique identifier of the batch associated with
                                this run (internal use).
                            status:
                              type: string
                              enum:
                                - CREATED
                                - INVALID
                                - QUEUED
                                - SCHEDULED
                                - BLOCKED
                                - STOPPED
                                - RUNNING
                                - FAILED
                                - PARTIAL_SUCCEEDED
                                - SUCCEEDED
                              description: >-
                                Status of the run at the time this callback was
                                generated. This value does not change on retries
                                and may differ from the run’s current status.
                            scheduled_run_uid:
                              type: string
                              format: uuid
                              description: >-
                                Unique identifier of the scheduled run, if
                                applicable.
                          required:
                            - run_uid
                            - batch_uid
                            - status
                        input:
                          $ref: >-
                            #/components/schemas/LinkedinPeopleidFromSalesnavigatoridInput
                        error:
                          $ref: '#/components/schemas/APIError'
                        results_count:
                          type: integer
                          description: Number of results included in this callback.
                        results:
                          type: array
                          items:
                            $ref: >-
                              #/components/schemas/LinkedinPeopleidFromSalesnavigatoridOutput
                          description: Results of the current callback
                      required:
                        - callback_ref_uid
                        - run
              method: post
              type: path
            path: '{$request.body#/callback/url}'
components:
  schemas:
    LinkedinPeopleidFromSalesnavigatoridInput:
      type: object
      properties:
        sales_navigator_profile_id:
          pattern: /^AC[o-rw-z][\w-]+/
          type: string
          description: A sales_navigator_profile_id should start with 'ACo', 'ACw' or 'ACr'
          x-primary: true
          x-placeholder: Sales Navigator profile identifiant
          x-help: A sales_navigator_profile_id should start with 'ACo', 'ACw' or 'ACr'
        custom_data:
          type: object
          additionalProperties: true
          description: Custom data (ex-metadata)
      additionalProperties: false
      required:
        - sales_navigator_profile_id
    APIError:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          examples:
            - ERR-12345
          nullable: true
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          patternProperties:
            ^[^_].*:
              anyOf:
                - type: string
                - type: number
                - type: boolean
                - type: 'null'
                - type: array
                  items:
                    type: string
          additionalProperties: false
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
    LinkedinPeopleidFromSalesnavigatoridOutput:
      type: object
      properties:
        linkedin_profile_id:
          type: integer
          description: A "null" value mean that the id does not exists.
    BadRequest:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
    FailedDependency:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
    InternalServerError:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
  responses:
    ActionScheduleResponse:
      description: Default Response
      content:
        application/json:
          schema:
            type: object
            properties:
              schedule_uid:
                type: string
                description: The UID of the scheduled run.
              status:
                type: string
                enum:
                  - ACTIVE
                  - CANCELLED
                  - PAUSED
                  - COMPLETED
                description: The status of the scheduled run.
              cron:
                type: string
                description: Cron expression for the scheduled run (POSIX format)
                nullable: true
              timezone:
                type: string
                description: Timezone for the scheduled run (IANA timezone format)
                nullable: true
              next_execution_at:
                type: string
                format: date-time
                nullable: true
                description: Next execution at
              created_at:
                type: string
                format: date-time
                description: The date and time when the run was created.
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequest'
    FailedDependency:
      description: Failed Dependency
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailedDependency'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  securitySchemes:
    XApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````